import request from '@/utils/request'

// 查询场景开放奖补列表
export function listSceneOpeningAward(query) {
  return request({
    url: '/system/sceneOpeningAward/list',
    method: 'get',
    params: query
  })
}

// 查询场景开放奖补详细
export function getSceneOpeningAward(id) {
  return request({
    url: '/system/sceneOpeningAward/' + id,
    method: 'get'
  })
}

// 新增场景开放奖补
export function addSceneOpeningAward(data) {
  return request({
    url: '/system/sceneOpeningAward',
    method: 'post',
    data: data
  })
}

// 修改场景开放奖补
export function updateSceneOpeningAward(data) {
  return request({
    url: '/system/sceneOpeningAward',
    method: 'put',
    data: data
  })
}

// 删除场景开放奖补
export function delSceneOpeningAward(id) {
  return request({
    url: '/system/sceneOpeningAward/' + id,
    method: 'delete'
  })
}
